export declare const PromptKitTv: import("@choiceform/design-system").TVReturnType<{
    [key: string]: {
        [key: string]: import("tailwind-merge").ClassNameValue | {
            content?: import("tailwind-merge").ClassNameValue;
            root?: import("tailwind-merge").ClassNameValue;
            container?: import("tailwind-merge").ClassNameValue;
            loading?: import("tailwind-merge").ClassNameValue;
            viewport?: import("tailwind-merge").ClassNameValue;
            loadingContainer?: import("tailwind-merge").ClassNameValue;
            loadingText?: import("tailwind-merge").ClassNameValue;
        };
    };
} | {
    [x: string]: {
        [x: string]: import("tailwind-merge").ClassNameValue | {
            content?: import("tailwind-merge").ClassNameValue;
            root?: import("tailwind-merge").ClassNameValue;
            container?: import("tailwind-merge").ClassNameValue;
            loading?: import("tailwind-merge").ClassNameValue;
            viewport?: import("tailwind-merge").ClassNameValue;
            loadingContainer?: import("tailwind-merge").ClassNameValue;
            loadingText?: import("tailwind-merge").ClassNameValue;
        };
    };
} | {}, {
    root: string;
    container: string;
    viewport: string;
    content: string;
    loadingContainer: string;
    loading: string;
    loadingText: string;
}, undefined, {
    [key: string]: {
        [key: string]: import("tailwind-merge").ClassNameValue | {
            content?: import("tailwind-merge").ClassNameValue;
            root?: import("tailwind-merge").ClassNameValue;
            container?: import("tailwind-merge").ClassNameValue;
            loading?: import("tailwind-merge").ClassNameValue;
            viewport?: import("tailwind-merge").ClassNameValue;
            loadingContainer?: import("tailwind-merge").ClassNameValue;
            loadingText?: import("tailwind-merge").ClassNameValue;
        };
    };
} | {}, {
    root: string;
    container: string;
    viewport: string;
    content: string;
    loadingContainer: string;
    loading: string;
    loadingText: string;
}, import("@choiceform/design-system").TVReturnType<unknown, {
    root: string;
    container: string;
    viewport: string;
    content: string;
    loadingContainer: string;
    loading: string;
    loadingText: string;
}, undefined, unknown, unknown, undefined>>;
export declare const MessageItemTv: import("@choiceform/design-system").TVReturnType<{
    showActions: {
        true: {
            footer: string;
        };
        false: {
            footer: string;
        };
    };
    ratingActions: {
        true: {
            actionsItem: string;
        };
        false: {
            actionsItem: string;
        };
    };
}, {
    root: string;
    assistantAvatar: string;
    container: string;
    content: string;
    userMessage: string;
    assistantMessage: string;
    footer: string;
    actions: string;
    actionsItem: string;
    time: string;
    code: string;
    p: string;
    h1: string;
    h2: string;
    h3: string;
    ul: string;
    ol: string;
    li: string;
    tableContainer: string;
    table: string;
    th: string;
    td: string;
    blockquote: string;
    placeholder: string;
}, undefined, {
    showActions: {
        true: {
            footer: string;
        };
        false: {
            footer: string;
        };
    };
    ratingActions: {
        true: {
            actionsItem: string;
        };
        false: {
            actionsItem: string;
        };
    };
}, {
    root: string;
    assistantAvatar: string;
    container: string;
    content: string;
    userMessage: string;
    assistantMessage: string;
    footer: string;
    actions: string;
    actionsItem: string;
    time: string;
    code: string;
    p: string;
    h1: string;
    h2: string;
    h3: string;
    ul: string;
    ol: string;
    li: string;
    tableContainer: string;
    table: string;
    th: string;
    td: string;
    blockquote: string;
    placeholder: string;
}, import("@choiceform/design-system").TVReturnType<{
    showActions: {
        true: {
            footer: string;
        };
        false: {
            footer: string;
        };
    };
    ratingActions: {
        true: {
            actionsItem: string;
        };
        false: {
            actionsItem: string;
        };
    };
}, {
    root: string;
    assistantAvatar: string;
    container: string;
    content: string;
    userMessage: string;
    assistantMessage: string;
    footer: string;
    actions: string;
    actionsItem: string;
    time: string;
    code: string;
    p: string;
    h1: string;
    h2: string;
    h3: string;
    ul: string;
    ol: string;
    li: string;
    tableContainer: string;
    table: string;
    th: string;
    td: string;
    blockquote: string;
    placeholder: string;
}, undefined, unknown, unknown, undefined>>;
export declare const ErrorMessageTv: import("@choiceform/design-system").TVReturnType<{
    [key: string]: {
        [key: string]: import("tailwind-merge").ClassNameValue | {
            message?: import("tailwind-merge").ClassNameValue;
            root?: import("tailwind-merge").ClassNameValue;
        };
    };
} | {
    [x: string]: {
        [x: string]: import("tailwind-merge").ClassNameValue | {
            message?: import("tailwind-merge").ClassNameValue;
            root?: import("tailwind-merge").ClassNameValue;
        };
    };
} | {}, {
    root: string;
    message: string[];
}, undefined, {
    [key: string]: {
        [key: string]: import("tailwind-merge").ClassNameValue | {
            message?: import("tailwind-merge").ClassNameValue;
            root?: import("tailwind-merge").ClassNameValue;
        };
    };
} | {}, {
    root: string;
    message: string[];
}, import("@choiceform/design-system").TVReturnType<unknown, {
    root: string;
    message: string[];
}, undefined, unknown, unknown, undefined>>;
export declare const InitializedErrorMessageTv: import("@choiceform/design-system").TVReturnType<{
    [key: string]: {
        [key: string]: import("tailwind-merge").ClassNameValue | {
            title?: import("tailwind-merge").ClassNameValue;
            description?: import("tailwind-merge").ClassNameValue;
            root?: import("tailwind-merge").ClassNameValue;
        };
    };
} | {
    [x: string]: {
        [x: string]: import("tailwind-merge").ClassNameValue | {
            title?: import("tailwind-merge").ClassNameValue;
            description?: import("tailwind-merge").ClassNameValue;
            root?: import("tailwind-merge").ClassNameValue;
        };
    };
} | {}, {
    root: string;
    title: string;
    description: string;
}, undefined, {
    [key: string]: {
        [key: string]: import("tailwind-merge").ClassNameValue | {
            title?: import("tailwind-merge").ClassNameValue;
            description?: import("tailwind-merge").ClassNameValue;
            root?: import("tailwind-merge").ClassNameValue;
        };
    };
} | {}, {
    root: string;
    title: string;
    description: string;
}, import("@choiceform/design-system").TVReturnType<unknown, {
    root: string;
    title: string;
    description: string;
}, undefined, unknown, unknown, undefined>>;
